Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryContactCity

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
          com.verisign.epp.codec.registry.EPPRegistryContactCity

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryContactCity

extends EPPRegistryMinMaxLength

DOCUMENT ME!

Version:
  $Revision: 1.2 $
Author:
  $author$
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` DOCUMENT ME!

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

Constructor Summary
`EPPRegistryContactCity()` Creates a new EPPRegistryContactCity object.
`EPPRegistryContactCity(java.lang.Integer min, java.lang.Integer max)` Creates a new EPPRegistryContactCity object.
`EPPRegistryContactCity(int min, int max)` Creates a new EPPRegistryContactCity object.

Method Summary
`boolean` | `equals(java.lang.Object aObject)` DOCUMENT ME!
`protected void` | `validateState()`

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`clone, decode, encode, getElmMax, getElmMin, getMax, getMin, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryContactCity

    public EPPRegistryContactCity()

  Creates a new EPPRegistryContactCity object.

### EPPRegistryContactCity

    public EPPRegistryContactCity(java.lang.Integer min,
                                  java.lang.Integer max)

  Creates a new EPPRegistryContactCity object.

  Parameters:
    `min` - DOCUMENT ME!
    `max` - DOCUMENT ME!

### EPPRegistryContactCity

    public EPPRegistryContactCity(int min,
                                  int max)

  Creates a new EPPRegistryContactCity object.

  Parameters:
    `min` - DOCUMENT ME!
    `max` - DOCUMENT ME!

Method Detail

### equals

    public boolean equals(java.lang.Object aObject)

  DOCUMENT ME!

  Overrides:
    `equals` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aObject` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### validateState

    protected void validateState()
                          throws EPPEncodeException

  Overrides:
    `validateState` in class `EPPRegistryMinMaxLength`
  Throws:
    `EPPEncodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.